Package org.eclipse.rdf4j.federated.endpoint.provider

## Class NativeStoreProvider

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.provider.NativeStoreProvider

- All Implemented Interfaces:
    `EndpointProvider<NativeRepositoryInformation>`

      public class NativeStoreProvider
      extends Object
      implements EndpointProvider<NativeRepositoryInformation>

  Provider for an Endpoint that uses a RDF4J `NativeStore` as underlying repository. For optimization purposes the `SailSourceEvaluationStrategyFactory` is used to allow for evaluation of prepared queries without prior optimization. Note that NativeStores are always classified as 'Local'.

  If the repository location denotes an absolute path, the native store directory must already exist. If a relative path is used, the repository is created on the fly (if necessary).

  Author:
    Andreas Schwarte

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NativeStoreProvider​(File baseDir)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected NativeStore` | `createNativeStore​(File store)` | Create a `NativeStore` and apply the `SailSourceEvaluationStrategyFactory`.
    `Endpoint` | `loadEndpoint​(NativeRepositoryInformation repoInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeStoreProvider

          public NativeStoreProvider​(File baseDir)

  - ### Method Detail

    - #### loadEndpoint

          public Endpoint loadEndpoint​(NativeRepositoryInformation repoInfo)
                                throws FedXException

      Specified by:
        `loadEndpoint` in interface `EndpointProvider<NativeRepositoryInformation>`
      Throws:
        `FedXException`

    - #### createNativeStore

          protected NativeStore createNativeStore​(File store)

      Create a `NativeStore` and apply the `SailSourceEvaluationStrategyFactory`.
      Parameters:
        `store` -
      Returns:
        the store